cURL
Tables
Add Rows to Table
Adds rows to a Big Table
POST
cURL
Add one or more rows to an existing Big Table.
Row IDs for the added rows are returned in the response in the same order as the input row data is passed in the request. Row data may be passed in JSON, CSV, or TSV format.
If a column is not included in the passed row data, it will be empty in the added row. If a column is passed that does not exist in the table schema, or with a value that does not match the column’s type, the default behavior is for no rows to be added and the API call to return an error. However, you can control this behavior with the
onSchemaError query parameter.
Examples
Add Rows Inline
Add Rows Inline
If you want to add a small number of rows to a table, you can do so by providing the data inline (being sure that row object structure matches the table schema):However, this is only appropriate for relatively small dataset (a few hundred rows or less, depending on schema complexity). If you need to work with a larger dataset you should utilize stashing.
Add Rows from Stash
Add Rows from Stash
Stashing is our process for handling the upload of large datasets. Break down your dataset into smaller, more manageable, pieces and upload them to a single stash ID.Then, to add all the row data in a stash to the table in a single atomic operation, use the
$stashID reference in the rows field instead of providing the data inline:Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the table, e.g., 2a1bad8b-cf7c-44437-b8c1-e3782df6
Example:
"2a1bad8b-cf7c-44437-b8c1-e3782df6"
Query Parameters
The action to take when the passed data does not match the table schema:
abort: Abort the entire operation and return an error.dropColumns: Ignore the data that caused the error, and do not import those columns in the affected rows.updateSchema: Update the schema as needed to add any missing columns or widen the data types of existing columns, and then import the data from them.
Available options:
abort, dropColumns, updateSchema Example:
"updateSchema"
Body
- object[]
- object
A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:
{
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.50,
"amountPaid": 0
}